> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Org Currencies

> Lists the org's currencies with presigned S3 download URLs for their logo files.

Required scope: `organization:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-org-currencies
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-org-currencies:
    get:
      operationId: getOrgCurrencies
      summary: Get Org Currencies
      x-toku-required-scope: organization:read
      description: >-
        Lists the org's currencies with presigned S3 download URLs for their
        logo files.


        Required scope: `organization:read`
      parameters:
        - name: orgID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOrgCurrenciesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetOrgCurrenciesResponse:
      type: object
      properties:
        currencies:
          type: array
          items:
            type: object
            properties:
              currencyID:
                type: string
              orgID:
                type: string
              crypto:
                type: boolean
              name:
                type: string
              currencyCode:
                type: string
              slug:
                type:
                  - string
                  - 'null'
              source:
                type:
                  - string
                  - 'null'
              sourceCurrencyID:
                type:
                  - string
                  - 'null'
              isActive:
                type: boolean
              createdAt:
                type: string
              updatedAt:
                type: string
              coinLogoFileID:
                type:
                  - string
                  - 'null'
              coinLogoFileKey:
                type:
                  - string
                  - 'null'
              coinLogoURL:
                type:
                  - string
                  - 'null'
            required:
              - currencyID
              - orgID
              - crypto
              - name
              - currencyCode
              - slug
              - source
              - sourceCurrencyID
              - isActive
              - createdAt
              - updatedAt
              - coinLogoFileID
              - coinLogoFileKey
              - coinLogoURL
      required:
        - currencies
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
